<?php

/**
 * element_search_tags
 *
 * Returns an array of countries and codes.
 *
 * @author      WooThemes
 *
 * @category    i18n
 * @package     fluentform/i18n
 *
 * @version     2.5.0
 */

return [
    'input_text' => [
        'text',
        'input',
        'simple text',
        'mask input',
        'subject',
        'single line text',
        'line',
    ],
    'input_email' => [
        'input',
        'email',
    ],
    'input_name' => [
        'input',
        'name',
        'full name',
        'first name',
        'last name',
        'middle name',
    ],
    'textarea' => [
        'text',
        'textarea',
        'description',
        'message',
        'body',
        'details',
    ],
    'address' => [
        'address',
        'city',
        'zip'
    ],
    'select_country' => [
        'country',
    ],
    'input_number' => [
        'input',
        'number',
        'numeric',
    ],
    'select' => [
        'select',
        'dropdown',
        'multiselect',
    ],
    'input_radio' => [
        'input',
        'radio',
        'check',
    ],
    'input_checkbox' => [
        'input',
        'checkbox',
        'select',
    ],
    'input_url' => [
        'input',
        'url',
        'website',
    ],
    'input_password' => [
        'input',
        'password',
    ],
    'input_date' => [
        'date',
        'time',
        'calendar',
    ],
    'input_file' => [
        'file',
    ],
    'input_image' => [
        'image',
        'file',
    ],
    'input_hidden' => [
        'input',
        'hidden',
    ],
    'section_break' => [
        'section',
        'break',
        'textblock',
        'info'
    ],
    'recaptcha' => [
        'recaptcha',
    ],
    'hcaptcha' => [
        'hcaptcha',
    ],
    'turnstile' => [
        'turnstile',
    ],
    'custom_html' => [
        'custom html',
    ],
    'shortcode' => [
        'shortcode',
    ],
    'terms_and_condition' => [
        'terms_and_condition',
        'agreement',
        'checkbox',
    ],
    'action_hook' => [
        'action hook',
    ],
    'form_step' => [
        'steps',
    ],
    'container' => [
        'container',
        'columns',
        'two',
        2,
        'three',
        3,
    ],
    'ratings' => [
        'star',
        'rate',
        'feedback',
        'ratings',
    ],
    'tabular_grid' => [
        'tabular grid',
        'checkable grid',
    ],
    'gdpr_agreement' => [
        'gdpr agreement',
    ],
];
